(* FLAG -Werror *)

{ Gives a superfluous warning on Machines with strict alignment }
{ requirements, such as sparc-sun-solaris2.                     }

program fjf286;
type
  p1 = ^t1;
  t1 = object
  end;

  p2 = ^t2;
  t2 = object (t1)
    foo : LongInt;
    procedure m;
  end;

procedure t2.m;
begin
  if alignof (t1) = alignof (t2) then writeln ('OK') else writeln ('failed')
end;

var
  v : t2;
  p : p1;

begin
  p := @v;
  p2 (p)^.m
end.
